Audio & MoreSuno
Suno 查询音乐任务
根据 Suno 任务 ID 查询单个音乐或歌词任务详情,包括状态、进度、音频 URL、封面、歌词文本和元数据。
Authorization
bearerAuth AuthorizationBearer <token>
使用 Authorization Bearer API Key 进行鉴权。
In: header
Path Parameters
task_id*string
Suno 任务 ID。
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/suno/fetch/c47ec1cf-7e79-4e61-b9fb-2ca2ac36e57b"{
"code": "success",
"message": "",
"data": {
"task_id": "c47ec1cf-7e79-4e61-b9fb-2ca2ac36e57b",
"platform": "suno",
"action": "MUSIC",
"status": "SUCCESS",
"progress": "100%",
"fail_reason": "string",
"submit_time": 0,
"start_time": 0,
"finish_time": 0,
"data": [
{
"id": "90f72668-ba0d-4fa7-95e6-f71bebda88b7",
"audio_url": "http://example.com",
"image_url": "http://example.com",
"image_large_url": "http://example.com",
"video_url": "http://example.com",
"title": "雾里那扇门",
"text": "[Instrumental]",
"status": "string",
"major_model_version": "string",
"model_name": "string",
"metadata": {
"tags": "string",
"prompt": "string",
"gpt_description_prompt": "string",
"audio_prompt_id": "string",
"duration": 0,
"error_type": "string",
"error_message": "string"
}
}
]
}
}{
"error": {
"code": "string",
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"request_id": "string"
}
}